import $http from "@/utils/httpRequest.js";

export const preSale = {
  //预售商品列表
  preSaleProducts: (data) => {
    return $http.request({
      url: `/merchant-api/product/advance/sell/page`,
      method: "post",
      data,
    });
  },
  addPreSaleProducts: (data) => {
    return $http.request({
      url: `/merchant-api/product/batch/save/advance/sell`,
      method: "post",
      data,
    });
  },
  updatePreSaleProducts: (data) => {
    return $http.request({
      url: `/merchant-api/product/save/advance/sell`,
      method: "post",
      data,
    });
  },
  closePreSaleProducts: (data) => {
    return $http.request({
      url: `/merchant-api/product/update/advance/sell/status`,
      method: "post",
      data,
    });
  },
};

